﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WorkerRole
{
    public class DatabaseInfo
    {
        public string ServerName { get; set; }
        public string DatabaseName { get; set; }
        public bool UseWindowsAuth { get; set; }
        public string LoginId { get; set; }
        public string Password { get; set; }
        public string BackupFileName { get; set; }
        public BackupPeriod BackupScheduledPeriod { get; set; }
        public DateTime BackupScheduledTime { get; set; }
        public DateTime LastBackupDateTime { get; set; }
        public ExportTo ExportTo { get; set; }
        public string ExportFileDirectory { get; set; }
        public bool TrustServerCertificate { get; set; }
        public bool UseSSL { get; set; }
        public string StorageAccountName { get; set; }
        public string BlobContainerName { get; set; }
        public string BlobDefaultEndpointsProtocol { get; set; }
        public string StorageAccessKey { get; set; }
    }
    public enum BackupPeriod
    {
        Hourly, /* In a day X hours once - To do */
        Daily, /* Currently implemented this only. */
        Monthly /* Every month Xst of day Month - To do */
    }
    public enum ExportTo
    {
        Blob,
        FileSystem,
        Drive /* To do */
    }
}
